package test.org.seasar.extension.j2ee;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class J2eeAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(J2eeAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.j2ee");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(JndiContextFactoryTest.class));
		suite.addTest(new TestSuite(JndiContextTest.class));
		suite.addTest(new TestSuite(JndiDataSourceTest.class));
		suite.addTest(new TestSuite(JndiTransactionManagerTest.class));
		//$JUnit-END$
		return suite;
	}
}
